[Pkg-utopia-maintainers] Bug#673705: network-manager: Network Manager doesn't connect to wifi (greyed out) when device cannot report signal strength

Gennady N. Uraltsev gennady.uraltsev at gmail.com
Sun May 20 20:55:19 UTC 2012

Package: network-manager
Severity: normal

If a wireless network card isn't able to report signal strength Network Manager
no longer allows connectiong to wifi networks. This was not so in previous
versions. All available wireless networks are greyed out. This is due to the
fact that the wifi adapter doesn't know how to report signal strength.
Connecting through other adapters (external USB) is possible.

In particular

#iwlist eth1 scan
eth1      Scan completed :
          Cell 01 - Address: 02:18:F8:7A:4E:5E
                    Protocol:IEEE 802.11bg
                    Frequency:2.412 GHz (Channel 1)
                    Encryption key:on
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Quality:64  Signal level:0  Noise level:0
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : 802.1x
                    Extra: Last beacon: 248ms ago

and /var/log/syslog has the following line:

wpa_supplicant[1826]: bgscan simple: Failed to enable signal strength

There are many cards that have this problem, and I do not see any reason to
grey out wifi networks that are reported by iwlist eth1 scan. If a network is
reported one can want to try to connect to it. Greying out is useless, IMHO.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                3.113+nmu2
ii  dbus                   1.5.12-1
ii  dpkg                   1.16.3
ii  isc-dhcp-client        4.2.2.dfsg.1-5
ii  libc6                  2.13-32
ii  libdbus-1-3            1.5.12-1
ii  libdbus-glib-1-2       0.98-1
ii  libgcrypt11            1.5.0-3
ii  libglib2.0-0           2.32.3-1
ii  libgnutls26            2.12.19-1
ii  libgudev-1.0-0         175-3.1
ii  libnl-3-200            3.2.7-2
ii  libnl-genl-3-200       3.2.7-2
ii  libnl-route-3-200      3.2.7-2
ii  libnm-glib4  
ii  libnm-util2  
ii  libpolkit-gobject-1-0  0.105-1
ii  libuuid1               2.20.1-4
ii  lsb-base               4.1+Debian4
ii  udev                   175-3.1
ii  wpasupplicant          1.0-2

Versions of packages network-manager recommends:
ii  crda          1.1.2-1
ii  dnsmasq-base  2.61-1
ii  iptables      1.4.13-1.1
ii  modemmanager
ii  policykit-1   0.105-1
ii  ppp           2.4.5-5.1

Versions of packages network-manager suggests:
ii  avahi-autoipd  0.6.31-1

-- Configuration Files:
/etc/NetworkManager/NetworkManager.conf changed:

-- no debconf information

More information about the Pkg-utopia-maintainers mailing list